# Header-only package

Name:           frozen
Version:        1.1.1
Release:        %mkrel 7
Summary:        A header-only, constexpr alternative to gperf for C++14 users
Group:          Development/C

License:        Apache-2.0
URL:            https://github.com/serge-sans-paille/frozen
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# Fixes FTBFS, already present in upstream main branch.
Patch0:         includes.patch
# https://github.com/serge-sans-paille/frozen/issues/160
# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=108158
Patch1:         079f73cc5c6413127d47f325cbb34a607e2cb030.patch
# related: https://github.com/serge-sans-paille/frozen/pull/167
Patch2:         frozen-fix-arch-in-cmake.patch
BuildArch:      noarch
# Make sure we only build on 64bit host
ExclusiveArch:  x86_64 aarch64

BuildRequires: gcc-c++
BuildRequires: cmake

%description
Header-only library that provides 0 cost initialization
for immutable containers, fixed-size containers, and
various algorithms.

%package devel
Summary:        Development files for %{name}
Group:          Development/C
BuildArch:      noarch
Requires:       pkgconfig
Provides:       %{name}-static = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q

%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p1

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%check
%ctest

%install
%cmake_install


%files devel
%license LICENSE
%doc examples/ AUTHORS README.rst
%{_includedir}/frozen/
%{_datadir}/cmake/%{name}/



%changelog
* Mon Jan 08 2024 tv <tv> 1.1.1-7.mga10
+ Revision: 2029001
- Fix error of find_package(frozen) in CMake

* Sun Sep 17 2023 daviddavid <daviddavid> 1.1.1-6.mga10
+ Revision: 1987584
- as headers only pkg it should be completely noarch and make sure
  we only build on a 64bit host

* Sun Sep 17 2023 tv <tv> 1.1.1-5.mga10
+ Revision: 1987446
- Workaround gcc bug: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=108158

* Sat Sep 16 2023 tv <tv> 1.1.1-4.mga10
+ Revision: 1987218
- Enable aarch64 too

* Sat Sep 16 2023 tv <tv> 1.1.1-3.mga10
+ Revision: 1987213
- Only build on x86_64 due to i586 failure
- imported package frozen

